> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Greenhouse (OAuth)

> Access the Greenhouse API with OAuth Authentication in 2 minutes 💨

> [tab] 🚀 Quickstart
>
> **1. Create an integration**
>
> In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Greenhouse (OAuth)*. Nango doesn't have a Nango-managed OAuth app for Greenhouse (OAuth) yet, so you'll need to set up your own by following these [instructions](#🧑%E2%80%8D💻-oauth-app-setup). After that, make sure to add the OAuth Client ID, Client Secret, and scopes in the integration settings in Nango.
>
> **2. Authorize Greenhouse**
>
> Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Greenhouse. Later, you'll let your users do the same directly from your app.
>
> **3. Call the Greenhouse API**
>
> Let's make your first request to the Greenhouse API. If you have `api` as your **Greenhouse API Domain**, this will fetch the profile of the currently signed-in user. Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):
>
> > [tab] cURL
> >
> > ```bash theme={null}
> > curl -X GET "https://api.nango.dev/proxy/v1/partner/current_user" \
> >   -H "Authorization: Bearer <NANGO-API-KEY>" \
> >   -H "Provider-Config-Key: <INTEGRATION-ID>" \
> >   -H "Connection-Id: <CONNECTION-ID>"
> > ```
>
> > [tab] Node
> >
> > Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
> >
> > ```typescript theme={null}
> > import { Nango } from '@nangohq/node';
> >
> > const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> >
> > const res = await nango.get({
> >   endpoint: '/v1/partner/current_user',
> >   providerConfigKey: '<INTEGRATION-ID>',
> >   connectionId: '<CONNECTION-ID>'
> > });
> >
> > console.log(JSON.stringify(res.data, null, 2));
> > ```
>
> Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).
>
> ✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.
>
> > [!TIP]
> >
> > Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their Greenhouse accounts.

> [tab] 🧑‍💻 OAuth app setup
>
> **1. Submit application information to Greenhouse**
>
> Contact Greenhouse to register your OAuth application. You'll need to provide:
>
> * **Application Name**: The name of your application as it will appear in Greenhouse.
> * **Application URL**: The URL of your application.
> * **Callback URL**: Use `https://api.nango.dev/oauth/callback`
> * **Logo Image**: A 128x128 pixel image that Greenhouse will include in their permissions modal.
>
> **2. Receive OAuth credentials from Greenhouse**
>
> After submitting your application information, Greenhouse will provide:
>
> * **Consumer Key**: Uniquely identifies your application.
> * **Consumer Secret**: Acts as proof of your application's identity (will be encrypted when emailed).
>
> \[!NOTE] The consumer secret is confidential and will be encrypted by Greenhouse for security. They'll provide decryption instructions.
> After decrypting the consumer secret, copy both the **Consumer Key** (which serves as the Client ID) and **Consumer Secret** (which serves as the Client Secret) as you'll need them when configuring your integration in Nango.
>
> **3. Next**
>
> Follow the [*Quickstart*](https://nango.dev/docs/getting-started/quickstart.md).
>
> ## Common Scopes
>
> | Scope | Description |
> | - | - |
> | `candidates.create` | Create new candidates or prospects |
> | `candidates.view` | View candidates imported via this partner |
> | `jobs.view` | View my jobs |

> [tab] 🔗 Useful links
>
> | Topic | Links |
> | - | - |
> | Authorization | [Guide to connect to Greenhouse (OAuth) using Connect UI](https://nango.dev/docs/integrations/all/greenhouse/connect) |
> | General | [Greenhouse Website](https://www.greenhouse.io/) |
> | | [Greenhouse Dashboard](https://app.greenhouse.io/) |
> | Developer | [OAuth-related docs](https://developers.greenhouse.io/candidate-ingestion.html#authentication) |
> | | [Ingestion API Docs](https://developers.greenhouse.io/candidate-ingestion.html#introduction) |
> | | [List of OAuth scopes](https://developers.greenhouse.io/candidate-ingestion.html#oauth-scopes) |
>
> > [!NOTE]
> >
> > Contribute useful links by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/greenhouse.mdx)

> [tab] 🚨 API gotchas
>
> *None yet, add yours!*
>
> > [!NOTE]
> >
> > Contribute API gotchas by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/greenhouse.mdx)

> [!NOTE]
>
> Questions? Join us in the [Slack community](https://nango.dev/slack).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.